server:
  port: 8081
  servlet:
    encoding:
      charset: UTF-8
      force: true
      enabled: true


logging:
  level:
    root: info


spring:
  profiles:
    active: sit

  #解决报错
  servlet:
    multipart:
      max-request-size: -1


  #整合thymeleaf
  thymeleaf:
    prefix: classpath:/templates/
    encoding: UTF-8
    cache: true
    suffix: .html
    servlet:
      content-type: text/html
  mvc:
    static-path-pattern: /static/**



#MyBatis-Plus相关配置
mybatis-plus:
  configuration:
    #配置日志
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
#  global-config:
#    db-config:
#      id-type: auto    #设置ID自增


jasypt:
  encryptor:
    algorithm: PBEWithMD5AndDES
    iv-generator-classname: org.jasypt.iv.NoIvGenerator
    # 加密密钥，使用方式 spring.datasource.password=ENC(密文)，不要设置在配置文件中，建议使用环境变量或者启动参数: --jasypt.encryptor.password=123456
    password: mySecretKey













